import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';
import 'package:gascom/screens/document_camera_screen.dart';
import 'package:gascom/widgets/app_button.dart';
import 'package:gascom/widgets/app_text_field.dart';
import 'package:gascom/widgets/custom_app_bar.dart';

class ChangeLocationScreen extends StatefulWidget {
  const ChangeLocationScreen({super.key});

  @override
  State<ChangeLocationScreen> createState() => _ChangeLocationScreenState();
}

class _ChangeLocationScreenState extends State<ChangeLocationScreen> {

  TextEditingController reasonController = TextEditingController();
  TextEditingController districtController = TextEditingController();
  TextEditingController mahalaController = TextEditingController();
  TextEditingController streetController = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: const CustomAppBar(
        title: "تحويل موقع المولدة",
      ),
      body: SafeArea(
        child: ListView(
          padding: const EdgeInsets.all(20.0),
          children: [
            AutoSizeText(
              "لتحويل الموقع يرجى تزويدنا بمعلومات دقيقة للموقع الجديد بالاضافة الى سند ملكية للارض الجديدة.",
              style: Theme.of(context).textTheme.bodyMedium,
              maxLines: 2,
            ),
            const SizedBox(height: 20.0),

            AutoSizeText(
              "سبب التحويل",
              style: Theme.of(context).textTheme.bodyMedium,
            ),
            const SizedBox(height: 5.0),
            AppTextField(
              controller: reasonController,
              keyboardType: TextInputType.multiline,
            ),
            const SizedBox(height: 15.0),

            AutoSizeText(
              "المنطقة",
              style: Theme.of(context).textTheme.bodyMedium,
            ),
            const SizedBox(height: 5.0),
            AppTextField(
              controller: districtController,
              keyboardType: TextInputType.multiline,
            ),
            const SizedBox(height: 15.0),

            AutoSizeText(
              "المحلة",
              style: Theme.of(context).textTheme.bodyMedium,
            ),
            const SizedBox(height: 5.0),
            AppTextField(
              controller: mahalaController,
              keyboardType: TextInputType.multiline,
            ),
            const SizedBox(height: 15.0),

            AutoSizeText(
              "الزقاق",
              style: Theme.of(context).textTheme.bodyMedium,
            ),
            const SizedBox(height: 5.0),
            AppTextField(
              controller: streetController,
              keyboardType: TextInputType.multiline,
            ),
            const SizedBox(height: 15.0),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                SizedBox(
                  width: 200,
                  child: AppButton(
                    onPressed: handleSetLocationOnMap,
                    label: "تحديد على الخريطة",
                    isElevated: false
                  ),
                ),
              ],
            ),
            const SizedBox(height: 25.0),

            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                SizedBox(
                  width: 200,
                  child: AppButton(
                    onPressed: handleSendRequest,
                    label: "تاكيد",
                    isElevated: true
                  ),
                ),
              ],
            )
          ],
        ),
      ),
    );
  }

  void handleSendRequest() {
    // handle request

    Navigator.push(context, MaterialPageRoute(
      fullscreenDialog: true,
      builder: (context) => const DocumentCameraScreen(title: "سند ملكية", description: "ضع سند ملكية الارض الجديدة في المربع، وتاكد من وجود اضاءة مناسبة",),
    ));
  }

  void handleSetLocationOnMap() {
  }
}