import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';
import 'package:gascom/screens/national_id_camera_screen.dart';
import 'package:gascom/widgets/app_button.dart';
import 'package:gascom/widgets/custom_app_bar.dart';

class NewGeneratorScreen extends StatefulWidget {
  const NewGeneratorScreen({super.key});

  @override
  State<NewGeneratorScreen> createState() => _NewGeneratorScreenState();
}

class _NewGeneratorScreenState extends State<NewGeneratorScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: const CustomAppBar(),
      body: SafeArea(
        child: ListView(
          padding: const EdgeInsets.symmetric(horizontal: 25),
          children: [
            const SizedBox(height: 150),
            // SizedBox(
            //   width: 40,
            //   child: SvgPicture.asset(
            //     "assets/svgs/x.svg",
            //     semanticsLabel: 'Cancel',
            //   ),
            // ),
            // const SizedBox(height: 50),
            Center(
              child: AutoSizeText(
                "طلب تخصيص حصة كاز للمولدة",
                style: Theme.of(context).textTheme.titleLarge,
                textAlign: TextAlign.center,
                minFontSize: 8,
              ),
            ),
            const SizedBox(height: 50),
            Center(
              child: AutoSizeText(
                "يوفر تطبيق كاز كوم خدمة طلب حصة الكاز للمولدات الاهلية الكترونياً وبسهولة تامة.",
                style: Theme.of(context).textTheme.bodySmall,
                textAlign: TextAlign.center,
                minFontSize: 8,
              ),
            ),
            const SizedBox(height: 25),
            Center(
              child: AutoSizeText(
                "لتسجيل حساب في كازكوم يرجى ملئ المعلومات المطلوبة والتأكد من صحة ودقة المعلومات.",
                style: Theme.of(context).textTheme.bodySmall,
                textAlign: TextAlign.center,
                minFontSize: 8,
              ),
            ),
            const SizedBox(height: 75),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                SizedBox(
                  width: 200,
                  child: AppButton(
                    onPressed: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                          fullscreenDialog: true,
                          builder: (context) => NationalIdCameraScreen(
                            title: "الهوية الوطنية",
                            subtitle: "الوجه الامامي",
                            description: "ضع البطاقة الموحدة الخاصة بصاحب المولد في المربع وتاكد من وجود اضاءة مناسبة",
                            onScanComplete: () {
                              Navigator.push(context, MaterialPageRoute(
                                fullscreenDialog: true,
                                builder: (context) => NationalIdCameraScreen(
                                  title: "الهوية الوطنية",
                                  subtitle: "الوجه الخلفي",
                                  description: "ضع البطاقة الموحدة الخاصة بصاحب المولد في المربع وتاكد من وجود اضاءة مناسبة",
                                  onScanComplete: () {
                                    Navigator.push(context, MaterialPageRoute(
                                      fullscreenDialog: true,
                                      builder: (context) => NationalIdCameraScreen(
                                        title: "بطاقة السكن",
                                        subtitle: "",
                                        description: "ضع بطاقة السكن الخاصة بصاحب المولد في المربع وتاكد من وجود اضاءة مناسبة",
                                        onScanComplete: () {
                                          
                                        }
                                      )
                                    ));
                                  }
                                )
                              ));
                            },
                          )
                        )
                      );
                    },
                    label: "التالي",
                    isElevated: false
                  ),
                ),
              ],
            ),
          ]
        )
      )
    );
  }
}