import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:gascom/screens/otp_screen.dart';
import 'package:gascom/widgets/app_button.dart';

class OtpProviderScreen extends StatelessWidget {
  const OtpProviderScreen({
    super.key,
    required this.cardNumber,
  });

  final int cardNumber;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: ListView(
          padding: const EdgeInsets.symmetric(horizontal: 25),
          children: [
            const SizedBox(height: 150),
            Center(
              child: SizedBox(
                width: MediaQuery.sizeOf(context).width * 0.6,
                child: SvgPicture.asset(
                  "assets/svgs/logo.svg",
                  semanticsLabel: 'Home',
                ),
              ),
            ),
            const SizedBox(height: 50),
            Center(
              child: AutoSizeText(
                "طريقة تاكيد الهوية",
                style: Theme.of(context).textTheme.bodyLarge,
                textAlign: TextAlign.center,
                minFontSize: 8,
              ),
            ),
            Center(
              child: AutoSizeText(
                "اختر طريقة ارسال رمز OTP لتسجيل الدخول",
                style: Theme.of(context).textTheme.bodyLarge,
                textAlign: TextAlign.center,
                minFontSize: 8,
              ),
            ),
            const SizedBox(height: 35),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                SizedBox(
                  width: 200,
                  child: AppButton(
                    onPressed: () {
                      // TODO: Navigate to OTP Screen
                      Navigator.push(context, MaterialPageRoute(builder: (context) => const OtpScreen(isSms: true,)));
                    },
                    label: "SMS",
                    isElevated: false
                  ),
                ),
              ],
            ),
            const SizedBox(height: 8),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                SizedBox(
                  width: 200,
                  child: AppButton(
                    onPressed: () {
                      // TODO: Navigate to OTP Screen
                      Navigator.push(context, MaterialPageRoute(builder: (context) => const OtpScreen(isSms: false,)));
                    },
                    label: "Whatsapp",
                    isElevated: false
                  ),
                ),
              ],
            ),
          ],
        ),
      )
    );
  }
}