import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';
import 'package:gascom/constants/app_theme.dart';
import 'package:gascom/screens/payment_screen.dart';
import 'package:gascom/screens/success_screen.dart';
import 'package:gascom/widgets/app_button.dart';
import 'package:gascom/widgets/custom_app_bar.dart';
import 'package:persistent_bottom_nav_bar_v2/persistent_bottom_nav_bar_v2.dart';

class PayMonthlyGas extends StatelessWidget {
  const PayMonthlyGas({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: CustomAppBar(
        title: "دفع رسوم تقديم الطلب",
      ),
      body: SafeArea(
        child: ListView(
          padding: const EdgeInsets.all(20),
          children: [
            AutoSizeText(
              "طلب حصة كاز اويل ",
              style: Theme.of(context).textTheme.bodyLarge,
            ),
            const SizedBox(height: 20),

            Row(
              children: [
                Expanded(
                  child: AutoSizeText(
                    "حجم الحصة",
                    style: Theme.of(context).textTheme.bodyMedium,
                  ),
                ),
                const SizedBox(width: 5,),
                AutoSizeText(
                  "1000 لتر",
                  style: Theme.of(context).textTheme.bodyMedium,
                ),
              ],
            ),
            const SizedBox(height: 10),

            Row(
              children: [
                Expanded(
                  child: AutoSizeText(
                    "تاريخ الطلب",
                    style: Theme.of(context).textTheme.bodyMedium,
                  ),
                ),
                const SizedBox(width: 5,),
                AutoSizeText(
                  "03/08/2024",
                  style: Theme.of(context).textTheme.bodyMedium,
                ),
              ],
            ),
            const SizedBox(height: 10),

            Row(
              children: [
                Expanded(
                  child: AutoSizeText(
                    "رسوم تقديم الطلب",
                    style: Theme.of(context).textTheme.bodyMedium,
                  ),
                ),
                const SizedBox(width: 5,),
                AutoSizeText(
                  "25,000 د.ع",
                  style: Theme.of(context).textTheme.bodyMedium,
                ),
              ],
            ),
            const SizedBox(height: 15),

            Row(
              children: [
                SizedBox(
                  width: MediaQuery.sizeOf(context).width * 0.5,
                  child: const Divider(
                    color: AppTheme.yellowColor,
                    thickness: 1,
                    height: 15,
                  ),
                ),
              ],
            ),
            const SizedBox(height: 15),

            Row(
              children: [
                Expanded(
                  child: AutoSizeText(
                    "دفع رسوم تقديم الطلب",
                    style: Theme.of(context).textTheme.bodyMedium,
                  ),
                ),
                const SizedBox(width: 5,),
                AutoSizeText(
                  "25,000 د.ع",
                  style: Theme.of(context).textTheme.bodyMedium,
                ),
              ],
            ),
            const SizedBox(height: 50),

            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                SizedBox(
                  width: 200,
                  child: AppButton(
                    onPressed: () {
                      pushScreenWithoutNavBar(context, PaymentScreen(
                        title: "",
                        onPaymentComplete: () {
                          pushScreenWithoutNavBar(context, const SuccessScreen(title: "تم تقديم الطلب بنجاح", subtitle: "يمكنك متابعة اجراءات المراجعة والتدقيق من خلال نافذة تتبع الطلبات"));
                        },
                      ));
                    },
                    label: "ادفع",
                    isElevated: true,
                  ),
                )
              ],
            )
          ],
        )
      ),
    );
  }
}