import 'package:flutter/material.dart';
import 'package:gascom/widgets/custom_app_bar.dart';

class ServiceFeesScreen extends StatelessWidget {
  const ServiceFeesScreen({super.key});

  final List<Map<String, String>> fees = const [
    {
      "service": "رسوم طلب حصة كاز اويل",
      "price": "25,000 د.ع",
    },
    {
      "service": "رسوم توصيل الحصة",
      "price": "60,000 د.ع",
    },
    {
      "service": "سعر 1000 لتر كاز اويل",
      "price": "400,000 د.ع",
    },
    {
      "service": "رسوم تحويل موقع",
      "price": "مجاناً",
    },
    {
      "service": "رسوم تبديل محرك",
      "price": "مجاناً",
    },
    {
      "service": "رسوم تجديد دفتر",
      "price": "مجاناً",
    },
    {
      "service": "رسوم تغيير مخول",
      "price": "مجاناً",
    },
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: CustomAppBar(
        title: " رسوم خدمات كازكم",
      ),
      body: SafeArea(
        child: ListView.separated(
          itemCount: fees.length,
          padding: const EdgeInsets.all(20),
          separatorBuilder: (context, index) => const SizedBox(height: 10),
          itemBuilder: (context, index) => Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Expanded(
                child: Text(
                  fees[index]["service"]!,
                  style: Theme.of(context).textTheme.bodyMedium,
                ),
              ),
              Text(
                fees[index]["price"]!,
                style: Theme.of(context).textTheme.bodyMedium,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
